#!/bin/bash

set -e

cd $ADTTMP

# Set up cabal just enough that it doesn't think it needs to update.
export HOME="$(pwd)"
mkdir -p .cabal/packages/hackage.haskell.org
tar -cf .cabal/packages/hackage.haskell.org/00-index.tar -T /dev/null

echo -e 'yesod-init-test\ns\n' | yesod init
cd yesod-init-test
cp yesod-init-test.cabal $ADT_ARTIFACTS
yesod test

